package com.chenyang.druid.proxy.jdbc;

import java.util.Calendar;

public final class JdbcParameterString implements JdbcParameter {
   private final String value;
   public static final JdbcParameterString empty = new JdbcParameterString("");

   public JdbcParameterString(String value) {
      this.value = value;
   }

   public Object getValue() {
      return this.value;
   }

   public long getLength() {
      return 0L;
   }

   public Calendar getCalendar() {
      return null;
   }

   public int getSqlType() {
      return 12;
   }
}
